import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _BETextAlternatives extends _NSObject {
    static alloc(): _BETextAlternatives;
    static new(): _BETextAlternatives;
    init(): _BETextAlternatives;
    /** Original text for which alternative strings are provided */
    primaryString(): _NSString;
    /** Array of available aternative strings */
    alternativeStrings(): _NSArray;
}
